SDL_ClearAudioStream(3)

NAME
SDL_ClearAudioStream - Clear any pending data in the stream.

SYNOPSIS
#include <SDL3/SDL_audio.h>

bool SDL_ClearAudioStream(SDL_AudioStream *stream);

DESCRIPTION
This drops any queued data, so there will be nothing to read from the stream until more is added.

FUNCTION PARAMETERS

stream
    the audio stream to clear.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetAudioStreamAvailable(3), SDL_GetAudioStreamData(3), SDL_GetAudioStreamQueued(3), SDL_PutAudioStreamData(3)